<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Quick View for Magento 2
 */

namespace Amasty\Quickview\Plugin\Catalog\Block\Product;

class AbstractProduct extends \Amasty\Quickview\Plugin\AbstractQuickView
{
    /**
     * @param \Magento\Catalog\Block\Product\AbstractProduct $subject
     * @param $result
     *
     * @return string
     */
    public function afterToHtml(
        \Magento\Catalog\Block\Product\AbstractProduct $subject,
        $result
    ) {
        if ($subject->getItems() || $subject->getProductCollection()) {
            $this->addQuickViewBlock($result, 'widget');
        }

        return  $result;
    }
}
